Jump to content
kitcatum

[Resolu] Création clientw impossible depuis passage en version 1.5.4.1

Recommended Posts

Bonjours à tous,

 

je rencontre un gros soucis depuis mon passage d'une version 1.5.3.1 (si mes souvenir sont bon) vers la version 1.5.4.1.

Ma mise a jour c'est faite en sauvegardant ma base de donnée en version 1.5.3.1 puis en réinstallant PRESTASHOP à vide la version 1.5.4.1. Ensuite j'ai réimporter ma base de donnée et mes images. Apparemment tout c'était correctement déroulé mais juste en apparence car certaine donnée dans la base ont été ajoutée dans la nouvelle version.

 

(Je n'ai pas pu faire la mise a jour 1.5.4.1 a l'aide du module 1 click car j'avais une erreur serveur 500.)

 

 

En effet, je ne peux plus créer de nouveau client car j'obtient c'et erreur dans le BACKOFFICE

Une erreur s'est produite pendant la mise à jour de l'objet. customer (Champ 'id_lang' inconnu dans field list)

 

Apparemment le problème viendrait du fait que le dans ma base boutique le champ 'id_lang' ne serait pas présent dans PS_CUSTOMER ce qui après vérification est exact.

 

comment mettre a jour ma base de donnée pour qu'elle soit compatible avec cette nouvelle version ?

je soupçonne que d'autre modification ont été faite sur la base et j'ai peur d'avoir d'autre problèmes par la suite...

 

Merci d'avance à qui pourra m'aider

 

je suis en local pour le moment.

 

EDIT :

 

je suis allé dans ma base SQL afin de copier la table PS_CUSTOMER correcte puis je l'ai insérée a la place de l'ancienne PS_CUSTOMER.

je peux a nouveau créer mes clients.

Y a t il d'autre tables qui ont été modifiée ?

merci d'avance

 

RE EDIT: la fonction a jouter au produit ne fonctionne plus non plus

je clique sur le bouton le produit par vers le panier mais le panier reste vide

 

je retourne en 1.5.3.1 avec mon ancienne base mais pouvez vous me donner une idée pour passer en 1.5.4.1 par le biais du 1 click sans avoir mon message d'erreur serveur 500

je précise que lorsque je repars d'une version 1.5.4.1 vierge le 1 click fonctionne.

Edited by kitcatum (see edit history)

Share this post


Link to post
Share on other sites

(Je n'ai pas pu faire la mise a jour 1.5.4.1 a l'aide du module 1 click car j'avais une erreur serveur 500.)

 

Hello,

 

Déjà on aurait pu commencer par diagnostiquer cette erreur, par ce que le passage 1.5.3 vers 1.5.4 n'est à priori pas trop compliqué, dommage...

Share this post


Link to post
Share on other sites

Ensuite j'ai réimporter ma base de données

 

 

En effet, je ne peux plus créer de nouveau client car j'obtient c'et erreur dans le BACKOFFICE

Une erreur s'est produite pendant la mise à jour de l'objet. customer (Champ 'id_lang' inconnu dans field list)

 

 

Une base 1.5.3 ne marchera que partiellement sur une 1.5.4, des tables sont mises à jour ! Vous auriez pu passer manuellement par /install/upgrade/php/upgrade.php mais c'est plus simple que le module le fasse pour vous en fait.

Share this post


Link to post
Share on other sites

je retourne en 1.5.3.1 avec mon ancienne base mais pouvez vous me donner une idée pour passer en 1.5.4.1 par le biais du 1 click sans avoir mon message d'erreur serveur 500

je précise que lorsque je repars d'une version 1.5.4.1 vierge le 1 click fonctionne.

 

A priori sur votre 1.5.3 le module d'upgrade n'est peut être pas à jour. Il n'y a pas un boutton "update" dans le listings des modules à coté du module autoupgrade ? Sinon la dernière version est .

 

Si avec la dernière version il ne veut rien savoir, pouvez vous créer un ticket type 'upgrade' (in english por favor)

 

On va trouver une solution.

Share this post


Link to post
Share on other sites

Hello,

 

Déjà on aurait pu commencer par diagnostiquer cette erreur, par ce que ke passage 1.5.3 vers 1.5.4 n'est a priori pas trop compliqué, dommage...

 

Merci Gregory pour vos réponses.

je suis repassé en 1.5.3 puis j'ai modifié le fichier defines.inc.php au niveau de la ligne :

 

define('_PS_MODE_DEV_', false); en define('_PS_MODE_DEV_', true);

et cela ma indiqué qu'un module posait problème.

je l'ai désactivé et j'ai pu utilisé le module 1 click sans problème.

la mise à jour a été réalisée avec succès

 

merci encore de vous être penché sur mon problème.

 

Cordialement.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More